Subject: Re: QUESTION: Source for 'Hubam' sweet clover

From: "Albert H. Boyd" <[email-masked]>
Date: Fri, 8 Apr 1994 09:00:42 -0500 (CDT)

try Kaufman Seed Co. in Ashdown Arkansas.  They will almost certainly 
know where to find it if it is available

On Thu, 7 Apr 1994, J.M. Moynihan wrote:

> 
> 
> Help!  Help!
> 
> I'm looking for a source for 'Hubam' sweet clover--a white blossomed annual 
> sweet clover.  No one in Minnesota seems to have the *vaguest* idea where 
> to get it (or, sometimes, what it is).  A nice gent at a seed co. in Iowa 
> suggested I try "the south somewhere", which is some help, but not enough.  
> 
> If anyone has an idea of whom I might call to latch on to 50# or 
> so of Hubam, please let me know.
> 
> Thanks,
> 
> Meg Moynihan
> University of Minnesota
> [email-masked]
> 
> *********************************************************************** 
> If a rock falls on an egg,
> Too bad, too bad for the egg.
> If an egg falls on a rock,
> Too bad for the egg.
> ***********************************************************************
> 
>